[CONFIG]
;Весы марки CAS модели AD, AD-H, AP, EB, ED, ED-H, PB, PDI, DB, DB-H, DB-II, HB, HD, SW, SWN, PR (LCD), ER, ER-Jr, ERII
;Наименование драйвера
ServerName = 'Протокол CAS AD'

[params]
params[]=title
params[]=PortType
params[]=WaitTime
params[]=ScalesUrl
params[]=Attempts
params[]=WeightStatusAttempts
params[]=WeightStatusWaitTime

; Описания параметров
; title - название
; description - описание, если необходимо
; group - принадлежность к группе
; default - значение по-умолчанию, отсутствие параметра обазначет, что это раздел
; required - обязательность параметра (1 - обязательный, 0 - небязательный)

[PortType]
title[title]=''
title[description]='Весы марки CAS модели AD, AD-H, AP, EB, ED, ED-H, PB, PDI, DB, DB-H, DB-II, HB, HD, SW, SWN, PR (LCD), ER, ER-Jr, ERII'

[PortType]
PortType[title]='Тип соединения'
PortType[description]='comport - для Windows пример COM9, Локальный - для Linux пример /dev/ttyS0'
PortType[type]=select
PortType[options]='{"remote":"Удаленный","socket":"Сокет","local":"Локальный","comport":"comport"}'
PortType[default]=socket
PortType[required]=1

[WaitTime]
WaitTime[title]='Время ожидания ответа в микросекундах'
WaitTime[description]='Сокет, Локальный - 100000, Удаленный - 300000'
WaitTime[default]=100000
WaitTime[required]=1

[ScalesUrl]
ScalesUrl[title]='Адрес сервера по умолчанию'
ScalesUrl[default]=http://localhost:5339
ScalesUrl[required]=1

[Attempts]
Attempts[title]='Кол-во попыток при ожидании ответа'
Attempts[default]=50
Attempts[required]=1

[WeightStatusAttempts]
WeightStatusAttempts[title]='Кол-во попыток при ожидании стабилизации веса'
WeightStatusAttempts[default]=10
WeightStatusAttempts[required]=1

[WeightStatusWaitTime]
WeightStatusWaitTime[title]='Пауза секундах между попытками при ожидании стабилизации веса'
WeightStatusWaitTime[default]=1
WeightStatusWaitTime[required]=1

